package speiger.src.coreengine.platform.graphics.api.utils;

import java.util.Objects;

import speiger.src.coreengine.platform.graphics.api.sampler.Sampler;
import speiger.src.coreengine.platform.graphics.api.texture.Texture;

public record SampledTexture(Texture texture, Sampler sampler) {
	public SampledTexture {
		Objects.requireNonNull(texture);
		Objects.requireNonNull(sampler);
	}
}
